% Get property from the specified object and return the value.
%   Call as:
%      get(obj), or
%      get(obj,prop_name)
%   where
%      obj       - object
%      prop_name - property name
%
%   The first form returns the list of property names as a string,
%   the second form returns the value of the named property.
%
function val = get(self,varargin)
if (nargin == 1)
    val = {{{'gcell_map'}, {'map from finite element node (indexed by node ID) to the geometric cells, array [d,1]'}};
        };
    return;
else
    prop_name=varargin{1};
    switch prop_name
        case 'gcell_map'
            val = self.gcell_map;
        case 'fenodes'
            val = self.fenodes;
        otherwise
            error(['Unknown property name ''' prop_name '''!']);
    end
end

