% Get property from the specified object and return the value.
%   Call as:
%      get(obj), or
%      get(obj,prop_name)
%   where
%      obj       - object
%      prop_name - property name
%
%   The first form returns the list of property names as a string,
%   the second form returns the value of the named property.
%
function val = get(self,varargin)
    if (nargin == 1)
        val = {{{'bdryconn'}, {'connectivity (node identifiers), array [6,4]'}};
            {{'bdrygcell'}, {'constructor of the boundary gcell, function handle'}}
            };
        val = cat(1, get(self.gcell_3_manifold), val);
        return;
    else
        prop_name=varargin{1};
        switch prop_name
            case {'faceconn','bdryconn'}
                conn=get(self.gcell_3_manifold,'conn');
                val = [conn([1, 2, 3, 4]);
                    conn([1, 5, 6, 2]);
                    conn([2, 6, 7, 3]);
                    conn([3, 7, 8, 4]);
                    conn([4, 8, 5, 1]);
                    conn([6, 5, 8, 7])];
            case {'bdrygcell'}
                val = @gcell_Q4;
            otherwise
                val = get(self.gcell_3_manifold, prop_name);
        end
    end

